Page=new Array();Page[0]=new Array("Welcome to Parallels Desktop for Mac Pro Edition. Built on the world&#8217;s best-selling, top-rated, most-trusted virtualization solution, Parallels Desktop Pro Edition adds the capabilities that make it an ideal platform for developing and testing software products.","Note: This guide refers to version 11 of Parallels Desktop. If you are using a newer version of Parallels Desktop (including updates), please download the latest guide from the Parallels website.","Introduction","39224.htm");

Page[1]=new Array("This guide is intended for users of Parallels Desktop for Mac Pro Edition. It documents the command-line interface that can be used to manage Parallels Desktop and virtual machines. The interface supports the majority of Parallels Desktop management tasks that can be performed using the Parallels Desktop graphical user interface.","The command-line interface includes the following command-line utilities: ","prlsrvctl","The prlsrvctl utility is used to manage Parallels Desktop. The tasks include getting general information about Parallels Desktop, modifying Parallels Desktop preferences, getting a list of users, obtaining statistics, installing a license, and others. ","prlctl","The prlctl utility is used to manage virtual machines. The tasks include creating and configuring virtual machines, snapshot management, cloning operations, installing Parallels Tools, obtaining statistics, generating problem reports, and many others.","The command-line utilities are installed on a Mac as part of Parallels Desktop Business Edition installation. You can run the utilities in Terminal.","Overview","39226.htm");

Page[2]=new Array("This chapter documents the prlsrvctl command-line utility.","Parallels Desktop Management: prlsrvctl Utility","38168.htm");

Page[3]=new Array("The prlsrvctl command-line utility is used to perform management tasks on Parallels Desktop. The tasks include getting the Parallels Desktop information, modifying Parallels Desktop preferences, installing a license, obtaining statistics and problem reports, and others.","Syntax","prlsrvctl command [options] [-l,--login user[:passwd]@server] [-v, --verbose number]","Parameters"," Name","Description","command","The name of the command to execute.","options","Command options. See individual commands for available options.","-l, --login","Connect to a remote Parallels Desktop. If this parameter is omitted, the command will be executed on the local machine.","  user","Name of the user on the remote Mac.","  passwd","The user password. If the password is omitted, you will be prompted to enter it.","  server","The remote Mac IP address or hostname.","-v, --verbose number","Show verbose output. The greater the number, the more verbose output will be produced.","Remarks","To display help, enter prlsrvctl on the command line without any parameters.","General Syntax","28872.htm");

Page[4]=new Array("Displays the host computer and Parallels Desktop configuration information.","Syntax","prlsrvctl info","Remarks","The information returned by the info command includes the following:","Host machine name.","Parallels Desktop version number.","Host operating system type and version.","The default virtual machine directory name and path.","Parallels Desktop memory limits.","Parallels Desktop minimum allowable security level.","Parallels Desktop license information.","Host machine hardware configuration information.","Other miscellaneous info.","Links","General Syntax","prlsrvctl info","28844.htm");

Page[5]=new Array("Installs Parallels Desktop license on the host computer.","Syntax","prlsrvctl install-license -k,--key key [-n,--name name] [-c,--company name] [--deferred]","Parameters","Name","Description","-k, --key key","License key.","-n, --name name","License user name.","-c,--company name","License company name.","--deferred","The license will be activated the next time Parallels Desktop is started. If a license has already been activated, it should be deactivated first before using this option. See prlsrvctl deactivate-license","Links","General Syntax","prlsrvctl install-license","28845.htm");

Page[6]=new Array("Deactivates Parallels Desktop license.","Syntax","prlsrvctl deactivate-license","Links","General Syntax","prlsrvctl deactivate-license","37167.htm");

Page[7]=new Array("The prlsrvctl net command is used to create and configure virtual networks.","Subcommands","Name","Description","net add","Creates a new virtual network","net set","Configures the parameters of an existing virtual network.","net del","Removes an existing virtual network.","net list","List the available virtual networks.","prlsrvctl net","30534.htm");

Page[8]=new Array("The prlsrvctl net add command is used to create a new virtual network.","Syntax","prlsrvctl net add vnetwork_id [-i,--ifname if] [-m,--mac mac_address]","                  [-t,--type bridged|host-only]","                  [-d,--description description]","Parameters","Name","Description","vnetwork_id","A user-defined name that will identify the new virtual network.","-i,--ifname if","The name of a physical network adapter on the host to which this virtual network should be bound.","-m,--mac mac_address","The MAC address of a virtual network adapter on the host to which this virtual network should be bound.","-t,--type value","The type of the virtual network to create. Possible values are:","bridged. A  virtual machine connected to this type of virtual network appears as an independent computer on the network.","host_only (default). A virtual machine connected to this type of virtual network can access only the host and the virtual machine connected to the same virtual network.","-d,--description description","A user-defined description of the virtual network.","--ip-scope-start IP_address","--ip-scope-end IP_address","Sets the start and end IP addresses for the DHCP pool. The virtual machines connected to the network you are creating will automatically receive their IP addresses from this DHCP pool.","Links","General Syntax","net add","38166.htm");

Page[9]=new Array("The prlsrvctl net set command is used to modify an existing virtual network.","Syntax","prlsrvctl net set vnetwork_id [-i,--ifname if] [-m,--mac mac_address]","                  [-t,--type bridged|host-only]","                  [-d,--description description]","                  [-n, --name new_name]","Parameters","Name","Description","vnetwork_id","The name of the virtual network to modify.","-i,--ifname if","The name of a physical network adapter on the host to which this virtual network should be bound.","-m,--mac mac_address","The MAC address of a virtual network adapter on the host to which this virtual network should be bound.","-t,--type","The type of the virtual network to create. Possible values are:","bridged. A  virtual machine connected to this type of virtual network appears as an independent computer on the network.","host_only. A virtual machine connected to this type of virtual network can access only the host and the virtual machines connected to the same virtual network.","-d,--description description","A user-defined description of the virtual network.","-n, --name new_name","A new name for the virtual network. Use this parameter if you would like to rename the virtual network.","Links","General Syntax","net set","38167.htm");

Page[10]=new Array("The prlsrvctl net del command is used to delete an existing virtual network.","Syntax","prlsrvctl net del vnetwork_id","Parameters","Name","Description","vnetwork_id","The name of the virtual network to delete.","Links","General Syntax","net del","30537.htm");

Page[11]=new Array("The prlsrvctl net list command lists the existing virtual networks.","Syntax","prlsrvctl net list","Links","General Syntax","net list","30538.htm");

Page[12]=new Array("Obtains the Parallels Desktop problem report and displays it on the screen.","Syntax","prlsrvctl problem-report","Parameters","The command accepts no parameters.","Remarks","The command collects technical data about the Parallels Desktop and displays the report on the screen (the output can also be piped to a file). The report can then be directed to Parallels technical support for analysis.","Links","General Syntax","prlsrvctl problem-report","28851.htm");

Page[13]=new Array("Sets the Parallels Desktop preferences.","Syntax","prlsrvctl set [--mem-limit auto|size]","              [-s,--min-security-level low|normal|high]","              [-c,--cep on|off] ","              [--mng-settings allow|deny]","              [{--device device --assignment host|vm}]","              [--default-encryption-plugin plugin-id] | ","                           [--reset-default-encryption-plugin]","              [--allow-attach-screenshots on|off]","Parameters","Name","Description","--mem-limit","Sets the upper limit of the memory size that can be reserved for Parallels Desktop operations. The following options are available:","auto -- if this option is used, the memory size will be calculated automatically.","size -- user-defined memory size, in megabytes.","-s,--min-security-level","The lowest allowable security level that can be used to connect to the Parallels Desktop. The following options are available:","low -- plain TCP/IP (no encryption).","normal -- most important data is sent and received using SSL over TCP/IP (user credentials during login, guest OS clipboard, etc.) Other data is sent and received using plain TCP/IP with no encryption.","high -- all of the data is sent and received using SSL.<br />","-c,--cep","Enables/disables  the participation in the Customer Experience Program. The following options are available:","on -- enables CEP.","off -- disables CEP.","--mng-settings","Grants or denis permission to new users to modify Parallels Desktop preferences. By default, only administrators of the host OS can modify Parallels Desktop preferences. When a new Parallels Desktop user profile is created (this happens when a user logs in to Parallels Desktop for the first time), he/she will be granted or denied this privilege based on the default setting. This parameter allows you to set that default setting. Please note that this parameter only affects new users (the users that will be created in the future). The profiles of the existing users will not be modified.","--device device --assignment","Sets the assignment mode for the specified VTd device. The following options are available:","host  -- assign the device to host.","vm  -- assign the device to virtual machines.","--default-encryption-plugin  plugin-id","Specifies which encryption plug-in should be used by default. An encryption plug-in implements an encryption algorithm, which is used to encrypt a virtual machine. Use this option to specify the ID of the plug-in, which should be used by default.","--reset-default-encryption-plugin","Resets the default encryption plug-in assignment and sets the built-in plug-in to be used by default.","--allow-attach-screenshots","Specifies whether to attach screenshots to problem reports:","on -- attach screenshots.","off -- do not attach screenshots.","Links","General Syntax","prlsrvctl set","28846.htm");

Page[14]=new Array("Shuts down Parallels Desktop.","Syntax","prlsrvctl shutdown [-f,--force]","Parameters","Name","Description","-f, --force","Specifies whether the shutdown operation should be forced. If one or more virtual machines are running, clients are connected, or some tasks are currently in progress, then forcing the shutdown will stop all processes automatically and will shut down the Parallels Desktop.","Links","General Syntax","prlsrvctl shutdown","28847.htm");

Page[15]=new Array("Obtains Parallels Desktop statistics. ","Syntax","prlsrvctl statistics [-a, --all] [--loop] [--filter name]","Parameters","Name","Description","-a, --all","This parameter is not currently used.","--loop","Subscribes to receive statistics on the periodic basis. Once you execute the command with this option, the statistics will be displayed in your console window every time a new set of values is collected. To unsubscribe, press the Enter key or Ctrl-C in your console window.","--filter name","This parameter is not currently used.","Links","General Syntax","prlsrvctl statistics","28850.htm");

Page[16]=new Array("The prlsrvctl usb command is used to permanently assign a USB device to a specific virtual machine. A permanently assigned USB device will be connected to the virtual machine automatically on server restart.","Subcommands","Name","Description","usb list","Lists USB devices connected to the host together with the information about their virtual machine assignments for the current user.","usb set","Permanently assigns a USB device to the specified virtual machine. ","usb del","Removes a previously created USB device assignment.","prlsrvctl usb","38161.htm");

Page[17]=new Array("Lists the USB devices connected to the host. ","Syntax","prlsrvctl usb list","Options","None.","Returns","A list of USB devices in tabular format with the following columns:","Name &#8212; the USB device name.","ID &#8212; a string that uniquely identifies the USB devices on the physical server. The ID never changes even if the device is disconnected from the server and then reconnected again. Please note that if a device ID is listed in quotes, they are a part of the ID and must be included in other calls that use it as an input parameter. ","VM UUID &#8212; a universally unique ID of the virtual machine to which this USB device is permanently assigned. If a USB device is not assigned to any virtual machine, this column will be empty.","usb list","38162.htm");

Page[18]=new Array("Permanently assigns a USB device to the specified virtual machine. A permanently assigned USB device will be connected to the virtual machine automatically on server restart. The USB device assignment is performed for the current user only. Other users may create their own USB device assignments.","Syntax","prlsrvctl usb set &lt;usb_dev_ID&gt; &lt;vm_ID|vm_name&gt;","Options","Name","Description","&lt;usb_dev_ID&gt;","The USB device ID.","&lt;vm_ID|vm_name&gt;","The universally unique ID or name of the virtual machine to which to assign the USB device. ","usb set","38163.htm");

Page[19]=new Array("Deletes a USB device assignment. The USB device assignment is performed on the user level, so if you remove an assignment, it will only be removed for the current user. Other users may have their own USB devices assignments, which will not be affected.","Syntax","prlsrvctl usb del &lt;usb_dev_ID&gt;","Options","Name","Description","&lt;usb_dev_ID&gt;","The USB device ID.","usb del","38164.htm");

Page[20]=new Array("Displays the list of Parallels Desktop users.","Syntax","prlsrvctl user list [-o,--output name[,name...]]","Parameters","Name","Description","-o,--output name","Names of the fields to include in the output. The following fields are available:","name -- User name.","mng_settings -- Indicates whether the user is allowed to modify Parallels Desktop preferences. ","def_vm_home -- The user default virtual machine folder. ","The fields must be specified using the lower case letters.","See Also","prlsrvctl user set","Links","General Syntax","prlsrvctl user list","28848.htm");

Page[21]=new Array("This chapter documents the prlctl command-line utility.","Virtual Machine Management: prlctl Utility","38169.htm");

Page[22]=new Array("The prlctl utility is used to perform administration tasks on virtual machines. The utility supports a full range of tasks from creating and administering virtual machines to getting statistics and generating problem reports. ","Syntax","prlctl command ID|name [options] [-v, --verbose number]","Parameters"," Name","Description","command","The name of the command to execute (see the table below for the complete list of commands).","ID","The ID of the virtual machine on which to perform the operation. To obtain the list of the available virtual machines, use the prlctl list command.","name","The name of the virtual machine on which to perform the operation. To obtain the list of the available virtual machines, use the prlctl list command.","options","Command options. See individual commands for available options.","-v, --verbose number","Show verbose output. The greater the number, the more verbose output will be produced.","Remarks","To display help, enter prlctl without any parameters.","General Syntax","28873.htm");

Page[23]=new Array("Captures the screen of a virtual machine desktop and saves it to a file on the client machine. The data is saved in the Portable Network Graphics (PNG) format.","Syntax","prlctl capture ID|name --file name","Parameters","Name","Description","ID","The virtual machine ID.","name","The virtual machine name.","--file name","Name and path of the file to which the image should be saved. You should include the file extension (.png) or the file will be saved without one.","Links","General Syntax","prlctl capture","23456.htm");

Page[24]=new Array("Changes the encryption password for the specified virtual machine.","Syntax","prlctl change-passwd ID|name ","Parameters","Name","Description","ID","Virtual machine ID.","name","Virtual machine name.","Remarks","The command can be used to change the password that was used to encrypt a virtual machine. A user will be asked to enter the current and the new password.","The virtual machine must be currently encrypted for this command to work. If you would like to encrypt an unencrypted virtual machine, use the encrypt command.","Links","General Syntax","prlctl change-passwd","32568.htm");

Page[25]=new Array("This command is used to convert third-party virtual machines and disks to Parallels virtual machines and disks. The following third-party virtual machines and disks are supported:","Microsoft Hyper-V","Microsoft Virtual PC","Virtual Box","VMware","Syntax","prlctl convert &lt;path&gt; [--dst &lt;path&gt;] [--force]","Options","Name","Description","&lt;path&gt;","Full path to the third-party virtual machine's configuration file on the local server.","--dst=&lt;path&gt;","Set the destination directory for the resulting virtual machine and its configuration file. If omitted, the default directory (/var/parallels) is used.","--force","Convert the third-party virtual machine even if its guest OS cannot be identified.","prlctl convert","38165.htm");

Page[26]=new Array("Creates an exact copy of the specified virtual machine.","Syntax","prlctl clone ID|name --name new_name [--template] [--dst path] [--changesid]","               [--linked] [--detach-external-hdd yes|no]","Parameters","Name","Description","ID","ID of the virtual machine to clone","name","Name of the virtual machine to clone.","--name new_name","Name to be assigned to the new virtual machine.","--template","Create a virtual machine template instead of a real virtual machine. Templates are used as a basis for creating new virtual machines. ","--dst path","Name and path of the new virtual machine directory. If this parameter is omitted, the new virtual machine will be created in the default directory.","--changesid","Generate a new Windows security identifier (SID) for a Windows-based virtual machine. For this parameter to work, Parallels Tools must be installed in the virtual machine.","--linked","Create a linked virtual machine.","--detach-external-hdd yes|no","If set to no, hard disks located outside a source virtual machine are not removed from the configuration of the resulting clone. Setting the parameter to yes removes outside hard disks from the configuration.","Note: Outside hard disks are not copied to the cloned virtual machine.","Links","General Syntax","prlctl clone","23457.htm");

Page[27]=new Array("Creates a new virtual machine. A virtual machine can be created from scratch or from a virtual machine template. When created from scratch, the target operating system type or version must be specified. To create a virtual machine from a template, the template name must be passed to the command.","Syntax","prlctl create name {--ostype name|--distribution {name|list}} [--location path]","prlctl create name --ostemplate name [--location path]","Parameters","Name","Description","name","User-defined new virtual machine name. If the name consists of two or more words separated by spaces, it must be enclosed in quotes.","-o, --ostype name","The name of the family of the operating system that will be installed in the virtual machine. Select from one of the following:","windows","linux","macos","feebsd","os2","msdos","netware","solaris","other (specify this option if the operating system you are planning to install is not listed above).","-d, --distribution name|list","The operating system version that you are planning to install in the virtual machine. ","To display the list of known operating systems, supply the list value instead of the OS name. ","Or supply one of the following values (grouped by family):","Windows","win-311","win-95","win-98","win-me","win-nt","win-2000","win-xp","win-2003","win-vista","win-2008","win-7","win (specify this option if the Windows OS version you are using is not listed above).","Linux","rhel","rhel3","suse","debian","fedora-core (specify this option for all Fedora Core distributions except for Fedora Core 5).","fc-5","ubuntu","mandriva","centos","redhat","opensuse","Mac OS","macos-10.4","macos-10.5","snowleopard","FreeBSD","freebsd-4","freebsd-5","freebsd-6","freebsd-7","freebsd","MS-DOS","msdos-6.22","msdos (specify this option for all MS-DOS operating systems except for MS-DOS 6.22).","OS/2","os2-3","os2-4","os-45","ecomstation-1.1","ecomstation-1.2","os2 (specify this option for all OS/2 operating systems except for the ones listed above).","NetWare","netware-4","netware-5","netware-6","netware (specify this option for all NetWare operating systems except for the ones listed above)","Solaris","solaris-9","solaris-10","solaris-11","solaris (specify this option for all Solaris operating systems except for the ones listed above).","Other","qnx","openstep","other (use this option if the operating system version you are using is not listed above).","--ostemplate name","The name of the virtual machine template from which to create the new virtual machine. Use the prlctl list --template command to obtain the list of the available templates.","--location path","Name and path of the directory where to store the new virtual machine files. If this parameter is omitted, the files will be crated in the default virtual machine directory.","Remarks","When creating a virtual machine from scratch, you may specify the operating system family or version. If an operating system version is specified using the --distribution parameter, the virtual machine will be configured for that operating system. If an operating system family is specified using the --ostype parameter, the virtual machine will be configured for the default version of this OS family. The default versions are determined internally by Parallels and are kept in sync with other Parallels management tools such as Parallels Management Console. The best way to find out the default versions used in your Parallels installation is by creating a sample virtual machine.","Links","General Syntax","prlctl create","23458.htm");

Page[28]=new Array("Creates a virtual machine dump in ELF format and saves it to a file. The resulting dump file can be opened with the Linux crash utility or (with some limitations) with the GDB debugger. To convert the dump file to a Windows or OS X format, use the supplied prlcore2dmp utility.","Syntax","prlctl debug-dump ID|NAME [--name dump_file_name] [--path output_directory_path]<br />","Parameters","Name","Description","ID|NAME","Source virtual machine ID or name.","--name","Destination dump file name. If not specified, the file is named guest_&lt;date&gt;_&lt;time&gt;.dmp","--path","Destination directory. If not specified, the dump file will be created in the directory containing the virtual machine.","Remarks","To create a dump, the virtual machine must be running or paused. Suspended virtual machines are not supported by this command.","The command returns 0 (zero) on success and a non-zero value on failure.","Examples","The following command creates the guest_2015-08-10-215443.dmp dump file in the virtual machine directory. The virtual machine is specified by ID.","prlctl debug-dump {a885d908-4938-4d84-91bd-6eac81174cc1}","The following command created the /tmp/crash_D1.dmp file. The virtual machine is specified by name.","prlctl debug-dump &quot;Win_8&quot; --name crash_D1.dmp --path /tmp","Links","prlcore2dmp","General Syntax","prlctl debug-dump","39639.htm");

Page[29]=new Array("The prlcore2dmp utility can be used to convert an ELF dump file created with the prlctl debug-dump command to a Windows or OS X format. A resulting Windows compatible file can be opened in the WinDbg debugger. An OS X compatible file can be opened in the LLDB debuger.","Syntax","prlcore2dmp core_file_path [--name output_file_name] [--path output_directory] [--windbg] [--macho] [--cpu]","Parameters","Name","Description","core_file_path","Path to the source dump file.","--name","Destination file name. If not specified, the memory.dmp name is used.","--path ","Destination directory. If not specified, the file is created in the source directory.","--windbg ","Convert for WinDbg (Windows).","--macho ","Convert for LLDB (OS X Mach-O format). ","--cpu","The CPU number to use for virtual to physical address translation. This option can be used only with the --macho option.","Remarks","The command returns 0 (zero) on success and a non-zero value on failure.","Examples","The following command creates the /tmp/memory.dmp file which can be opened with WinDbg.","prlcore2dmp /tmp/crash_D1.dmp --windbg","The following command creates the ~/Documents/core_dump.dmp file which can be opened with LLDB.","prlcore2dmp /tmp/crash_D1.dmp --macho --cpu 1 --name core_dump.dmp --path ~/Documents","Links","General Syntax","prlcore2dmp","39640.htm");

Page[30]=new Array("Deletes a virtual machine from the &lt;host computer&gt;. The command removes a virtual machine from the Parallels Service registry and permanently deletes all its files from the host. Once completed, this operation cannot be reversed.","Syntax","prlctl delete ID|name","Parameters","Name","Description","ID","The ID of the virtual machine to delete.","name","The name of the virtual machine to delete.","Links","General Syntax","prlctl delete","23459.htm");

Page[31]=new Array("Encrypt and decrypt a virtual machine.","Syntax","prlctl encrypt ID|name [--dry-run] ","prlctl decrypt ID|name [--dry-run]","Parameters","Name","Description","ID","The ID of the virtual machine to encrypt or decrypt.","name","The name of the virtual machine to encrypt or decrypt.","--dry-run","Runs a simulated encryption or decryption operation. Use this option to verify that the operation can be performed  and that there are no current limitations with the host computer or the virtual machine that can make the operation invalid. For example, if you don't have enough space on the host computer, the simulated run will inform you of this, so you can correct it before running the actual operation.","Remarks","The encrypt command will encrypt the specified virtual machine and all its data. A user will be prompted to enter an encryption password after the command is executed from the command line.","The decrypt command will decrypt the specified virtual machine. A user will have to enter a password that was selected when the virtual machine was encrypted. ","The encryption password can be modified for an encrypted virtual machine using the change-passwd command.","Links","General Syntax","prlctl encrypt, decrypt","32567.htm");

Page[32]=new Array("Creates a command prompt channel to a virtual machine. By using this command, you can create a command prompt channel and execute commands in a virtual machine. Parallels Tools must be installed in a virtual machine to use this utility.","Syntax","prlctl enter exec vm_id|vm_name","Parameters","Name","Description","vm_id|vm_name","The UUID or the name of the virtual machine.","Links","General Syntax","prlctl enter","30545.htm");

Page[33]=new Array("Executes a command inside a virtual machine. Parallels Tools must be installed in a virtual machine to use this utility. Commands in Linux guests are invoked with bash -c.","Syntax","prlctl exec vm_id|vm_name command","Parameters","Name","Description","vm_id|vm_name","The UUID or the name of the virtual machine.","command","A command to execute.","Links","General Syntax","prlctl exec","30544.htm");

Page[34]=new Array("Installs Parallels Tools in the specified virtual machine.","Syntax","prlctl installtools ID|name ","Parameters","Name","Description","ID","The ID of the target virtual machine. ","name","The name of the target virtual machine.","Notes","To use this command, the target virtual machine must be running.","Links","General Syntax","prlctl installtools","27151.htm");

Page[35]=new Array("Obtains a list of virtual machines on the host computer. The command allows you to obtain a summary list containing only the virtual machine ID, name, and status, or to obtain a detailed information about a specific or all virtual machines.","Syntax","prlctl list [--all] [--template] [--no-header]","            [-o, --output name[,name...]] [-s, --sort name|-name]","  ","prlctl list --info [ID|name]","Parameters","Name","Description","-a, --all","List all, running, stopped, suspended, and paused virtual machines. If this and the rest of the parameters are omitted, only the running virtual machines will be displayed.","-t, --template","List the available virtual machine templates. The real virtual machines will not be included in the output.","--no-header","Do not display column headers.","-o, --output name","Display one (or any combination) of the following fields:","uuid -- Virtual machine ID.","name -- Virtual machine name.","status --Virtual machine status (running, stopped, etc.).","The above fields can be combined in a single command using comma separator (e.g. uuid, name). The excluded fields will not be displayed. The field names must be typed in lower case.","-s, --sort name","Sort the virtual machine list by the specified parameter in ascending order.","-i, --info","Display detailed information about a virtual machine.","ID","The ID of the virtual machine for which to display the detailed information. If not specified, the information will be displayed for all registered virtual machines.","name","The name of the virtual machine for which to display the detailed information. If not specified, the information will be displayed for all registered virtual machines.","Links","General Syntax","prlctl list","23460.htm");

Page[36]=new Array("Pause, suspend, and resume a virtual machine.","Syntax","prlctl pause ID|name","prlctl suspend ID|name","prlctl resume ID|name","Parameters","Name","Description","ID","The ID of the virtual machine to pause, suspend, or resume.","name","The name of the virtual machine to pause, suspend, or resume.","Remarks","The pause command pauses a virtual machine. To continue the virtual machine operation, use the prlctl start command.","The suspend command suspends the virtual machine operation. When a running virtual machine is suspended, the state of the virtual machine processes is saved to a file on the host. After that, the machine is stopped. To resume the machine, use the resume command.","Links","General Syntax","prlctl pause, suspend, resume","23462.htm");

Page[37]=new Array("Obtains a problem report for the specified virtual machine and displays it on the screen.","Syntax","prlctl problem-report ID|name &lt;-d,--dump|-s,--send [--proxy [user[:password]@proxyhost[:port]]] [--no-proxy]&gt;","Parameters","Name","Description","ID","The ID of the virtual machine for which to obtain the problem report. ","name","The name of the virtual machine for which to obtain the report. If the name consists of separate words, it must be enclosed in quotes.","-d, --dump","Collect technical data about a virtual machine and display it on the screen. You can also pipe the output to a file and then send it to the Parallels technical support to analyze your problem.","-s, --send","Send the generated problem report to the Parallels technical support.","--proxy user:password@proxyhost:port","Use the specified information to send the generated report through a proxy server, if you use one to connect to the Internet.","--no-proxy","Do not use a proxy server to send the generated report. This is the default behavior, so you can omit this parameter.","Links","General Syntax","prlctl problem-report","28660.htm");

Page[38]=new Array("The register command is used to register a virtual machine with Parallels Service. ","The unregister command removes a virtual machine from the Parallels Service registry.","Syntax","prlctl register path","prlctl unregister ID|name","Parameters","Name","Description","path","An absolute path to the virtual machine directory.","ID|name","The ID or the name of the virtual machine to remove from the Parallels Service registry.","Remarks","Use the register command when you have a virtual machine on the host that doesn't show up in the list of the virtual machines registered with the Parallels Service. This can be a machine that was previously removed from the registry or a machine that was manually copied from another location.","The unregister command removes a virtual machine from the Parallels Service registry but does not delete the virtual machine files from the host. You can re-register such a machine with the Parallels Service later using the register command.","Links","General Syntax","prlctl register, unregister","23463.htm");

Page[39]=new Array("Obtains information about the host computer and Parallels the Parallels Desktop installed on it. Also, allows you to shut down the Parallels Desktop.","Syntax","prlctl server shutdown|info","Parameters","Name","Description","info","Displays the Parallels Desktop information.","shutdown","Shuts down Parallels Desktop. If one or more virtual machines are running, clients are connected, or some tasks are currently in progress then the shutdown operation will be aborted.","See Also","prlsrvctl info","prlsrvctl shutdown","Links","General Syntax","prlctl server","23464.htm");

Page[40]=new Array("The prlctl set command is used to modify the configuration of a virtual machine and manage virtual machine devices and shared folders. The following subsections provide technical information on how to use the command to perform these tasks.","prlctl set","23465.htm");

Page[41]=new Array("The prlctl set command can be used to modify virtual machine configuration parameters, including virtual CPU availability, RAM and video memory size, startup and shutdown options, and some others.","Syntax","prlctl set ID|name [--cpus number] [--memsize number]","           [--videosize number] [--description description]","           [--autostart on|off|auto] [--autostart-delay number]","           [--autostop stop|suspend]","           [--start-as-user administrator|owner|user:passwd]","           [--tools-autoupdate on|off]","           [--userpasswd os_user:new_pass]","           [--asset-id tag]","Parameters","Name","Description","ID","Target virtual machine ID.","name","Target virtual machine name.","--cpus number","Number of virtual CPUs in the virtual machine. If the host has more than one CPU, this option allows you to set the number of virtual CPUs to be available in the virtual machine.","--memsize number","The amount of memory (RAM) available to the virtual machine, in megabytes.","--videosize number","The amount of video memory available to the virtual machine graphics card.","--description VM_description","Short description of the virtual machine.","--autostart on|off|auto","Defines the virtual machine start-up options:","on --  the virtual machine is started automatically on the Parallels Service startup.","off -- the autostart is off. This is the default virtual machine start-up mode.","auto -- resume the virtual machine state prior to the Parallels Service shutdown.","If you set this option to on or auto, you must additionally specify the --start-as-user option (see below).","--autostart-delay number","Sets the time delay used during the virtual machine automatic startup.","--autostop stop|suspend","Sets the automatic shutdown mode for the specified virtual machine:","stop -- the virtual machine is stopped when you shut down the Parallels Service.","suspend -- the virtual machine is suspended when the Parallels Service is shut down.","--start-as-user administrator|owner|user:passwd","Specifies the account to use to autostart the virtual machine:","administrator -- start the virtual machine as the administrator of the host operating system.","owner -- start the virtual machine as the virtual machine owner.","user:passwd -- start the virtual machine as the specified user.","--tools-autoupdate on|off","Turns on/off automatic updating of Parallels Tools in the guest operating system. If this option is set to ON, Parallels Tools updates will be performed automatically every time an update is available for your Parallels Desktop. If this option is set to OFF, no automatic Parallels Tools updates will be performed, so that you can do it manually at a convenient time.","--userpasswd os_user:new_pass","Resets the password for the specified user of the guest OS running in a virtual machine. The parameters are:","os_user -- guest OS user name.","new_pass -- new password.","--asset-id ID","Sets an asset ID (aka asset tag) in the virtual machine BIOS. Asset IDs are used for computer identification and inventory purposes.","Links","General Syntax","Modifying Virtual Machine Configuration","28876.htm");

Page[42]=new Array("Adds virtual devices to a virtual machine, modifies and deletes existing virtual devices.","General Syntax","prlctl set ID|VM_name --device-add dev_type options","prlctl set ID|VM_name --device-set name options","prlctl set ID|VM_name --device-del name","Parameters","Name","Description","ID","The virtual machine ID.","VM_name","The virtual machine name.","--device-add dev_type options","Adds a virtual device to the specified virtual machine. ","The dev_type parameter specifies the virtual device type (hdd, cdrom, fdd, net, etc.). ","The options parameters specifies device-type specific options.","--device-set name options","Modifies the configuration of an existing virtual device in the specified virtual machine. ","The name parameter specifies the virtual device name. ","The options parameters specifies device-type specific options.","--device-del name","Deletes a virtual device from the virtual machine. The name parameter specifies the name of the virtual device to delete.","Remarks","All device-related parameters can be subdivided into the following categories:","Hard disk drives","Optical disk drives","Network cards","Floppy disk drives","USB devices","Serial ports","Parallel ports","Sound cards","Each group of parameters is explained in the following subsections in detail.","Notes","All operations on virtual machine devices (adding, modifying, or removing a device) must be performed on a stopped virtual machine. An attempt to perform any of these operations on a running virtual machine will result in error.","Managing Virtual Devices","23136.htm");

Page[43]=new Array("This group of parameters is used to add and configure virtual hard disks in a virtual machine.","Syntax","prlctl set ID|VM_name --device-add hdd [--image name]","           [--type expand|plain][--size number][--split]","           [--iface ide|scsi][--position number]","           [--enable|--disable]","  ","prlctl set ID|VM_name --device-add hdd --device name","           [--iface ide|scsi][--position number]","           [--enable|--disable]","  ","prlctl set ID|VM_name --device-set hddN [--image name]","           [--type expand|plain][--size number][--split]","           [--iface ide|scsi][--position number]","           [--enable|--disable]","  ","prlctl set ID|VM_name --device-set hddN --device name","           [--iface ide|scsi][--position number]","           [--enable|--disable]","Parameters","Name","Description","ID","The virtual machine ID.","VM_name","The virtual machine name.","--device-add","Adds a virtual hard disk drive to the virtual machine. ","You can connect up to four IDE devices and up to seven SCSI devices to a virtual machine. This includes hard disks and optical disk drives.","--device-set","Modifies the parameters of an existing virtual hard disk.","hdd","Specifies the type of the virtual device to add to the virtual machine (in this instance, a virtual hard disk).","hddN ","The name of the virtual hard disk to modify. Virtual hard disks are named using the hddN format where N is the drive index number starting from 0 (e.g. hdd0, hdd1). To obtain the list of disk names, use the prlctl list command with the --info option.","--image name","This options is used to create a virtual hard disk using an image file. You have an option of creating a new image file or to use an existing image.","To use an existing image file, specify its name and path using the name parameter.","To create a new image file, omit the --image parameter. New image files are created in the virtual machine directory and are automatically named using the harddiskN.hdd format, where N is the disk index number (e.g. harddisk0.hdd, harddisk1.hdd).","--device name","This option is used to create a virtual hard disk based on a boot camp partition (Mac hosts). The name parameter must contain the boot camp partition name.","--type expand|plain","For image file based virtual disk drives, specified the disk type:","expand -- expanding disk. The image file is small initially and grows in size as you add data to it. This is the default virtual disk type.","plain -- plain disk. The image file has a fixed size from the moment it is created (i.e the space is allocated for the drive fully). Plain disks perform faster than expanding disks.","--size number","The size of the virtual hard disk, in megabytes. The default size is 32,000 MB.","--split","Splits the hard disk image file into 2 GB pieces. You should split a virtual disk if it is stored on a file system that cannot support files larger than 2 GB (e.g. FAT16).","--iface ide|scsi","Interface type:","ide --  IDE drive.","scsi -  SCSI drive (default).","--position number","The SCSI or IDE device identifier to be used for the virtual disk. The allowed ID ranges are the following:","for IDE devices: 0:0, 0:1, 1:0, 1:1;","for SCSI device: 0:0, 1:0, 2:0, 3:0, 4:0, 5:0, 6:0.","You can use one of the following formats for specifying IDs: ID:bus, ID-bus, ID. For example, if you specify 3:0 (or 3-0 or 3) as number for a SCSI drive, the guest OS will see the drive as having ID 3 on SCSI bus 0.","--enable","Enables the specified virtual disk drive. All newly added disk drives are enabled by default (provided the --disable option is omitted).","--disable","Disables the specified virtual disk drive. The disk drive itself is not removed from the virtual machine configuration.","Links","General Syntax, Virtual Device Management","Hard Disk Drive Management Parameters","23214.htm");

Page[44]=new Array("This group of parameters is used to add and configure virtual optical disk drives, such as DVD or CD drives.","Syntax","prlctl set ID|VM_name --device-add cdrom --image image_name","           [--iface ide|scsi] [--position number]","           [--enable|--disable] [--connect|--disconnect]","  ","prlctl set ID|VM_name --device-add cdrom --device device_name","           [--iface ide|scsi] [--position number]","           [--enable|--disable] [--connect|--disconnect]","  ","prlctl set ID|VM_name --device-set cdromN","           {--device name|--image name} [--iface ide|scsi]","           [--position number][--enable|--disable]","           [--connect|--disconnect]","Parameters","Name","Description","ID","The virtual machine ID.","name","The virtual machine name.","--device-add","Adds a DVD/CD drive to the virtual machine. You can connect up to four IDE devices and up to seven SCSI devices to a virtual machine. This includes virtual hard disks and DVD/CD drives.","--device-set","Modifies the parameters of an existing virtual optical disk.","cdrom","Specifies the virtual device type (in this instance, a CD or DVD drive).","cdromN","The name of the DVD/CD drive to modify. The N postfix indicates the drive index number. To obtain the list of the available drives, use the prlctl list command with the --info option.","--device name","The name of the physical optical disk to connect to the virtual machine.","--image name","The name of an existing disk image file to mount in the virtual machine. Currently, the following image file formats are supported: .iso, .cue, .ccd, and .dmg. The image must not be compressed and/or encrypted.","--iface ide|scsi","Interface type:","ide -- IDE disk.","scsi -- SCSI disk (default).","--position number","The SCSI or IDE device identifier to be used for the DVD/CD drive. The allowed ID ranges are the following:","for IDE devices: 0:0, 0:1, 1:0, 1:1;","for SCSI device: 0:0, 1:0, 2:0, 3:0, 4:0, 5:0, 6:0.","You can use one of the following formats for specifying IDs: ID:bus, ID-bus, ID. For example, if you specify 3:0 (or 3-0 or 3) as number for a SCSI drive, the guest OS will see the drive as having ID 3 on SCSI bus 0.","--enable","Enables the specified DVD/CD drive. All newly added drives are enabled by default (provided the --disable option is omitted).","--disable","Disables the specified optical disk drive. The disk drive itself is not removed from the virtual machine configuration.","--connect","Automatically connect the specified optical disk drive during the virtual machine startup process.","--disconnect","Do not automatically connect the specified optical disk drive during the virtual machine startup process.","Links","General Syntax, Virtual Device Management","Optical Disk Drive Management Parameters","23154.htm");

Page[45]=new Array("This group of parameters is used to add floppy disk drives to a virtual machine and to modify existing virtual floppy disk drives.","Syntax","prlctl set ID|VM_name --device-add fdd [--device name]","           [--enable|--disable][--connect|--disconnect]","  ","prlctl set ID|VM_name --device-set fdd [--device name]","           [--enable|--disable][--connect|--disconnect]","Parameters","Name","Description","ID","The virtual machine ID.","VM_name","The virtual machine name.","fdd","Specifies the type of the virtual device to add or modify (in this instance, a floppy disk drive).","--device-add","Adds a new floppy disk drive to the virtual machine. You can connect only one floppy disk drive to a virtual machine.","--device-set","Modifies the parameters of an existing virtual floppy disk drive.","--device name","The name of the physical floppy disk drive to connect to the virtual machine. If this parameter is omitted, a floppy drive image emulating the floppy disk drive will be created.","--enable","Enables the specified floppy disk drive. All newly added floppy drives are enabled by default (provided the --disable option was omitted during the drive creation).","--disable","Disables the specified floppy disk drive. The drive itself is not removed from the virtual machine configuration.","--connect","Connect the specified floppy disk drive automatically during the virtual machine  startup process.","--disconnect","Use this option if you don't want the specified floppy disk drive automatically connected to the virtual machine on its start.","--image path","The name and path of an existing floppy disk image file (usually floppy.fdd) to mount in the virtual machine.","Links","General Syntax, Virtual Device Management","Floppy Disk Drive Management Parameters","23172.htm");

Page[46]=new Array("This group of parameters is used to manage virtual network adapters in a virtual machine.","Syntax","prlctl set ID|VM_name --device-add net --type shared","           [--mac addr][--enable|--disable][--connect|--disconnect]","  ","prlctl set ID|VM_name --device-add net --type host --net_id network_id","           [--mac addr][--enable|--disable][--connect|--disconnect]","  ","prlctl set ID|VM_name --device-add net --type bridged --iface name","           [--mac addr][--enable|--disable] [--connect|--disconnect]","  ","prlctl set ID|VM_name --device-set netN --type shared","           [--mac addr][--enable|--disable][--connect|--disconnect]","  ","prlctl set ID|VM_name --device-set netN --type host --net_id network_id","           [--mac addr][--enable|--disable][--connect|--disconnect]","  ","prlctl set ID|VM_name --device-set netN --type bridged","           --iface name [--mac addr|auto][--enable|--disable]","           [--connect|--disconnect]","Parameters","Name","Description","ID","The virtual machine ID.","VM_name","The virtual machine name.","--device-add","Adds a new virtual network adapter to the virtual machine.","--device-set","Used to configure an existing virtual network adapter.","net","Specifies the virtual device type to add (in this instance, a virtual network adapter).","netN","The name of the virtual network adapter to modify. To obtain the list of the available adapters, use the prlctl list command with the --info option.","--type shared|host|bridged","Sets the networking mode for the virtual network adapter:","shared -- Shared networking. Select this option if you wish to enable Network Address Translation (NAT) for the adapter. The adapter will share the IP address with the host computer when communicating with external networks.","host -- Host-only networking. Select this option if you wish the virtual machine to communicate only with the host computer and other virtual machines included in the same network. Access to external networks is not allowed.","bridged -- Bridged networking. The adapter is bound to the specified physical network adapter. The virtual machine will appear as a standalone computer on the network.","--iface name","Used with the bridged networking mode (see above). Specifies the name of the physical network adapter to which the virtual adapter should be bound.","--net_id network_id","Used with the host-only networking mode (see above). Specifies the name of virtual network to which the virtual adapter should be bound.","--mac addr","The MAC address to be assigned to the virtual network adapter. If this option is omitted, the MAC address will be generated automatically. ","--mac addr|auto","Specifies the MAC address to assign to an existing network adapter. Specify a desired MAC address using the addr parameter value or use the auto option to re-generate the existing address automatically. ","--enable","Enables the virtual network card. All newly created network adapters are enabled by default (provided the --disable option is omitted).","--disable","Disables virtual network adapter. The adapter itself is not removed from the virtual machine configuration. Please note that a disabled virtual network adapter can only be enabled in a stopped virtual machine.","--connect","Automatically connect the virtual network adapter during the virtual machine startup process.","--disconnect","Do not automatically connect the virtual network adapter during the virtual machine startup process.","Links","General Syntax, Virtual Device Management","Network Adapter Management Parameters","23396.htm");

Page[47]=new Array("This group of parameters is used to manage serial ports in a virtual machine.","Syntax","prlctl set ID|VM_name --device-add serial","           {--device name|--output file|--socket name}","           [--enable|--disable][--connect|--disconnect]","  ","prlctl set ID|VM_name --device-set serialN","           {--device name|--output file|--socket name}","           [--enable|--disable][--connect|--disconnect]","Parameters","Name","Description","ID","The virtual machine ID.","VM_name","The virtual machine name.","--device-add","Adds a new serial port to the virtual machine. You can connect up to four serial ports to a virtual machine.","--device-set","Modifies the parameters of an existing serial port.","serial","Specifies the type of the virtual device to add (in this instance, a serial port).","--device name","The name of the physical serial port to which to connect the virtual machine.","--output file","The name and path of the output file to which to connect the virtual serial port.","--socket name","The name of the physical socket to which to connect the virtual serial port.","--enable","Enables the virtual serial port. All newly added serial ports are enabled by default (provided the --disable option is omitted).","--disable","Disables the virtual serial port.","--connect","Automatically connect the virtual serial port during the virtual machine startup process.","--disconnect","Do not automatically connect the virtual serial port during the virtual machine startup process.","Links","General Syntax, Virtual Device Management","Serial Port Management Parameters","23517.htm");

Page[48]=new Array("This group of parameters is used to manage parallel port in a virtual machine.","Syntax","prlctl set ID|VM_name --device-add parallel","           {--device name|--output file_name}","           [--enable|--disable][--connect|--disconnect]","  ","prlctl set ID|VM_name --device-set parallelN","           {--device name|--output file_name}","           [--enable|--disable][--connect|--disconnect]","Parameters","Name","Description","ID","The virtual machine ID.","name","The virtual machine name.","--device-add","Adds a new parallel port to the virtual machine. You can connect up to three parallel ports to a virtual machine.","--device-set","Modifies the parameters of an existing virtual parallel port.","parallel","Specified the type of the virtual device to add (in this instance, a virtual parallel port).","parallelN","The name of the parallel port to modify. To obtain the list of ports, use the prlctl list command with the --info option.","--device name","The name of the physical parallel port to which to connect the virtual parallel port.","--output file_name","The name of the output file to which to connect the virtual parallel port.","--enable","Enables the specified parallel port. All newly added parallel ports are enabled by default (provided the --disable option was omitted during the port creation).","--disable","Disable the specified virtual parallel port. The port itself is not removed from the virtual machine configuration.","--connect","Automatically connect the specified virtual parallel port during the virtual machine startup process.","--disconnect","Do not automatically connect the specified virtual parallel port during the virtual machine startup process.","Links","General Syntax, Virtual Device Management","Parallel Port Management Parameters","23421.htm");

Page[49]=new Array("This group of parameters is used to manage the USB controller in a virtual machine.","Syntax","prlctl set ID|VM_name --device-add usb [--enable|--disable]","Parameters","Name","Description","ID","The virtual machine ID.","VM_name","The virtual machine name.","usb","The type of the virtual device to add to the virtual machine (in this instance, a USB device). ","--enable","Enables the USB controller. This is the default option.","--disable","Disables the USB controller.","Links","General Syntax, Virtual Device Management","USB Controller Management Parameters","23677.htm");

Page[50]=new Array("This group of parameters is used to manage sound devices in a virtual machine.","Syntax","prlctl set ID|VM_name --device-add sound --output name","            [--enable|--disable][--connect|--disconnect]","  ","prlctl set ID|VM_name --device-set sound --output name","            [--enable|--disable][--connect|--disconnect]","Parameters","Name","Description","ID","The virtual machine ID.","VM_name","The virtual machine name.","sound","The type of the virtual device to add to the virtual machine (in this instance, a sound device).","--output name","The name of a physical output device to which to connect the virtual sound device. ","--input name","The name of the physical input device to which to connect the virtual sound device.","--enable","Enables the specified sound device. All newly added sound devices are enabled by default (provided the --disable option is omitted).","--disable","Disables the specified virtual sound device.","--connect","Automatically connect the sound device during the virtual machine startup process.","--disconnect","Do not automatically connect the sound device during the virtual machine startup process.","Links","General Syntax, Virtual Device Management","Sound Device Management Parameters","23554.htm");

Page[51]=new Array("The --device-del option is used to remove virtual devices from a virtual machine.","Syntax","prlctl set ID|name --device-del name","Parameters","Name","Description","--device-del name","The name of the virtual device to delete from the virtual machine. To obtain the list of virtual devices, use the prlctl list command with the --info option.","Links","General Syntax, Virtual Device Management","Removing Devices from Virtual Machine","23484.htm");

Page[52]=new Array("The prlctl set command can be used to add shared folders to a virtual machine and to modify and delete existing shared folders.","Syntax","prlctl set ID|VM_name --shf-host-add name --path path","                                       [--mode ro|rw]","                                       [--shf-description txt]","                                       [--enable|--disable]","prlctl set ID|VM_name --shf-host-set name [--mode ro|rw]","                                       [--path path]","                                       [--shf-description txt]","                                       [--enable|--disable]","prlctl set ID|VM_name --shf-host on|off","prlctl set ID|VM_name --shf-host-del name","prlctl set ID|VM_name --shf-guest on|off","prlctl set ID|VM_name --shf-guest-automount on|off","Parameters","Name","Description","ID","The virtual machine ID.","VM_name","The virtual machine name.","--shf-host-add","Shares the specified folder on the host computer with the virtual machine.","--shf-host-set","Modifies the settings of an existing shared folder.","--shf-host on|off","Turns the host folder sharing on or off.","--shf-host-del","Removes the specified shared folder from the shared folder list.","--shf-guest on|off","Turns the guest folder sharing on or off.","--shf-guest-automount on|off","Mounts or unmounts virtual disks on the host computer.","name","User-defined shared folder name.","--path","Name and path of a folder on the host computer to share with the specified virtual machine.","--mode","Sharing mode:","ro -- read-only","rw -- read and write","--shf-description","User-defined shared folder description.","--enable","Enable the shared folder.","--disable","Disable the shared folder.","Links","General Syntax","Managing Shared Folders","28874.htm");

Page[53]=new Array("Takes a snapshot of a running virtual machine.","Syntax","prlctl snapshot ID|name [-n,--name name] [-d,--description desc]","Parameters","Name","Description","ID","The virtual machine ID.","name","The virtual machine name.","-n, --name name","User-defined snapshot name.","-d, --description desc","User-defined snapshot description.","Links","General Syntax","prlctl snapshot","27383.htm");

Page[54]=new Array("Deletes a virtual machine snapshot.","Syntax","prlctl snapshot-delete ID|name -i,--id snapshot_id","Parameters","Name","Description","ID","The virtual machine ID.","name","The virtual machine name.","-i, --id snapshot_id","The ID of the snapshot to delete.","Note: If the specified snapshot has child snapshots that were derived from it, they will not be deleted.","Links","General Syntax","prlctl snapshot-delete","28754.htm");

Page[55]=new Array("Displays a list of snapshots of the specified virtual machine.","Syntax","prlctl snapshot-list ID|name [-t,--tree] [-i,--id snapshot_id]","Parameters","Name","Description","ID","The virtual machine ID.","name","The virtual machine name.","-t, --tree","Displays the snapshot list as a tree. The default display format is tabular with Parent Snapshot ID and Snapshot ID as columns.","-i, --id snapshot_id","The ID of the snapshot to use as a root. If this parameter is omitted, the entire snapshot tree will be displayed. ","Links","General Syntax","prlctl snapshot-list","28755.htm");

Page[56]=new Array("Reverts the specified virtual machine to the specified snapshot.","Syntax","prlctl snapshot-switch ID|name -i,--id snapshot_id","Parameters","Name","Description","ID","The virtual machine ID.","name","The virtual machine name.","-i, --id snapshot_id","The ID of the snapshot to revert to.","Links","General Syntax","prlctl snapshot-switch","28756.htm");

Page[57]=new Array("Start, stop, reset, and check the status of a virtual machine.","Syntax","prlctl start ID|name","prlctl stop ID|name [--kill]","prlctl restart ID|name","prlctl reset ID|name","prlctl status ID|name","Parameters","Name","Description","ID","The ID of the virtual machine to start, stop, restart, reset, or check the status of.","name","The name of the virtual machine to start, stop, restart, reset, or check the status of.","--kill","Perform a 'hard' virtual machine shutdown. If this option is omitted, an attempt to perform a graceful shutdown will be made.","Remarks","The stop command can perform a 'hard' or a graceful virtual machine shutdown. If the --kill parameter is included, the 'hard' shutdown will be performed. If the parameter is omitted, the outcome of the graceful shutdown attempt will depend on the following:","If the Parallels Tools package is installed in a virtual machine, the graceful shutdown will be performed using its facilities.","If the Parallels Tools package is not installed, the command will try to perform a graceful shutdown using ACPI. Depending on the ACPI support availability in the guest operating system, this may work or not.","The restart command first gracefully shuts down a virtual machine and then starts it again.","The reset command first performs a 'hard' virtual machine shutdown and then starts it again.","The start command can be used to start a stopped virtual machine or to resume a paused virtual machine.","Links","General Syntax","prlctl start, stop, restart, reset, status","23466.htm");

var PageCount=58;



function search(SearchWord){

var Result="";

var NrRes=0;

Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';

Result+="<html>\n";

Result+="<head>\n";

Result+="<title>Search Results</title>\n";

Result+="<meta http-equiv='Content-Type' content='text/html; charset=ISO-8859-1'>\n";

Result+='<script language="javascript" type="text/javascript" charset="ISO-8859-1" src="dhtml_search.js"></script>\n';

Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';

Result+='<link rel="stylesheet" type="text/css" href="2007.css">\n';

Result+="</head>\n";

Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";





/* old */ /*



Result+='<p class="searchDetails">Enter a keyword or phrase';



Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';

if(SearchWord.length>=1){

   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){

       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");

   }

}

Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';

Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';

Result+='</p>\n';



*/ /* new */





Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';

Result+='<p class="searchDetails">Enter a keyword or phrase';



if(SearchWord.length>=1){

   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){

       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");

   }

}



Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';

Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';

Result+='</p>\n';

Result+='</form>\n';



/* end */







if(SearchWord.length>=1){

   SearchWord=SearchWord.toLowerCase();

   this.status="Searching, please wait...";

   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";



   for(j=0;j<PageCount;j++){

       k=Page[j].length-1;

       for(i=0;i<k;i++){

           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);

           if(WordPos>-1){

                NrRes++;

               break; }}}



   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";



   for(j=0;j<PageCount;j++){

       k=Page[j].length-1;

       for(i=0;i<k;i++){

           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);

           if(WordPos>-1){



               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);

               NrRes++;

               Result+="<tr><td class='search'><p class='searchResults'>";

               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";



               if(i<k-1){

                   if(Page[j][i].length>350){

                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";

                   }

                   else{

                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";

                   }

               }

               Result+="</p></td></tr>";

               break;			   

           }		   

       }	   

   }

     

   Result+="</table>";

   



}



Result+="</body></html>";

this.status="";

this.document.open();

this.document.write(Result);

this.document.close();

}